BGLJFILE(1)

NAME
Bgljfile - a Jvm Access File Generator

SYNOPSIS
bgljfile [ options ] file ...

DESCRIPTION
Bgljfile is a Jvm Access File generator. It produces file that suits Bigloo option -bgljfile. A Jvm Access File is a scheme list. Each elements of that list is a list of at least two elements: a module name, the Java class file that implements that module.

OPTIONS

file
    Is an file implementing a module. Bgljfile reads that file to discover the name of the implemented module.

-base
    Set the Jvm base package.

-o <file>
    Print Module Access File into file. The default is to print the list on the standard output device.

-suffix <suf>
    Adds suf to the bgljfile source file suffixes list. Default suffixes are "scm", "sch" and "bgl".

EXAMPLE
If the three files exists and contain legal Bigloo module clause, then:
   $ bgljfile foo.scm bar.scm gee.scm could print out a list like:

(

  (foo "./foo")

  (bar "./bar")

  (gee "./gee")

)

SEE ALSO
bigloo(1), bgldepend(1), bglmake(1), bglpp(1), bglprof(1), bgltags(1)

AUTHOR
Manuel SERRANO, Manuel.Serrano@inria.fr